Page MenuHomePhabricator

Clean up "gadget--%" rows from user_properties on Wikimedia wikis
Closed, ResolvedPublic

Description

Due to T50693: Gadget settings cannot be changed on Mediawiki 1.22wmf4 there are a bunch of useless rows in the form of "gadget--foo" in the user_properties table (I counted 2758 on enwp). These will go away over time whenever users update their preferences, but since they're now showing upon the new Special:GadgetUsage page, we should delete these rows using runBatchedQuery.php.

Event Timeline

Legoktm created this task.Nov 2 2015, 5:16 PM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Low.
Legoktm added subscribers: Legoktm, Glaisher, matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2015, 5:16 PM
Krenair added a subscriber: Krenair.Nov 2 2015, 5:17 PM
Niharika set Security to None.
Niharika added a subscriber: Niharika.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptNov 5 2015, 7:27 AM

foreachwiki runBatchedQuery.php "delete from user_properties where up_property like 'gadget--%' limit 500;"?

Yeah, that should do it.

Krenair claimed this task.Nov 6 2015, 8:44 PM
krenair@mw1152:~$ foreachwiki runBatchedQuery.php "delete from user_properties where up_property like 'gadget--%' limit 500;" | grep Batch | grep -v " 0 rows"
commonswiki:  Batch 1: 500 rows
commonswiki:  Batch 2: 246 rows
dewikisource:  Batch 1: 1 rows
dewikivoyage:  Batch 1: 9 rows
enwiki:  Batch 1: 500 rows
enwiki:  Batch 2: 500 rows
enwiki:  Batch 3: 500 rows
enwiki:  Batch 4: 500 rows
enwiki:  Batch 5: 500 rows
enwiki:  Batch 6: 258 rows
enwikibooks:  Batch 1: 22 rows
enwikinews:  Batch 1: 4 rows
enwikisource:  Batch 1: 2 rows
enwikiversity:  Batch 1: 6 rows
enwikivoyage:  Batch 1: 5 rows
enwiktionary:  Batch 1: 1 rows
eswikinews:  Batch 1: 2 rows
eswikiquote:  Batch 1: 2 rows
eswikisource:  Batch 1: 1 rows
frwikiquote:  Batch 1: 3 rows
frwiktionary:  Batch 1: 8 rows
incubatorwiki:  Batch 1: 7 rows
labswiki:  Batch 1: 5 rows
mediawikiwiki:  Batch 1: 63 rows
metawiki:  Batch 1: 35 rows
plwiktionary:  Batch 1: 6 rows
ptwikibooks:  Batch 1: 10 rows
ptwikisource:  Batch 1: 5 rows
ruwikiquote:  Batch 1: 8 rows
specieswiki:  Batch 1: 1 rows
ukwikinews:  Batch 1: 1 rows
ukwikisource:  Batch 1: 2 rows
ukwikivoyage:  Batch 1: 3 rows
viwikibooks:  Batch 1: 3 rows
wikidatawiki:  Batch 1: 27 rows
Krenair closed this task as Resolved.Nov 6 2015, 9:04 PM
DannyH moved this task from Untriaged to Archive on the Community-Tech board.Nov 10 2015, 1:24 AM